# Försäkringskassans Leverera kundavisering (LEKA) - Preliminär specifikation

E-tjänsten _Leverera kundavisering_ (LEKA) notifierar anslutna [aktörer](AKTOR.md) om förändringar av Försäkringskassans kunders ärenden och uppgifter, vilka sedan kan hämtas via e-tjänsten _Leverera förmånsinformation_ (LEFI). Det här arkivet samlar preliminär information om de gränssnitt som tillhandahålls som en del av LEKA version 9. Syftet med arkivet är att låta tredje part påbörja sin utvärdering av LEFI 9 innan den slutliga versionen lanserats.

Notera alltså att ingen del av detta dokument eller av något annat i detta arkiv garanteras förbli detsamma i den slutliga versionen av LEFI 9. Rent praktiskt bör det dock gå att anta att den slutliga versionen blir lik den som presenteras här.

Mer information om LEKA och LEFI hittar du på https://www.forsakringskassan.se/myndigheter-och-samarbetspartner/e-tjanster-for-myndigheter-och-samarbetspartner/lefi-online.

## Innehållsförteckning
1. Tjänstebeskrivning
    - 1.1 Prenumeration
    - 1.2 Avisering

## 1. Tjänstebeskrivning

LEKA låter en ansluten [aktör](AKTOR.md), såsom ett försäkringsbolag, en kommun, eller en avdelning på en kommun, att hantera _prenumerationer_ på _aviseringar_ om uppdaterade ärenden eller tillkomna uppgifter om Försäkringskassans kunder. Aviseringarna i sig innehåller inte den nya informationen. Istället förutsätts mottagaren av respektive avisering själv hämta informationen via e-tjänsten [LEFI:s][LEFI] gränssnitt.

[LEFI]: https://www.forsakringskassan.se/myndigheter-och-samarbetspartner/e-tjanster-for-myndigheter-och-samarbetspartner/lefi-online

Prenumerationer och aviseringar hanteras respektive hämtas via de två HTTP-baserade gränssnitt som beskrivs i de följande underavsnitten. De båda tjänsternas _OpenAPI-specifikationer_, vilka är programmatiska beskrivningar av gränssnittens operationer och datatyper, finns att hitta i mappen `openapi/`.

### 1.1 Prenumeration

Gränssnittet låter en ansluten aktör skapa, hämta och ta bort _prenumerationer_ på aviseringar. Varje sådan prenumeration rör en kund hos Försäkringskassan och/eller Pensionsmyndigheten, identifierad med personnummer, och identifierar de [klasser och typer av socialförsäkringsinformation](INFORMATIONSTYP.md) prenumeranten önskar bli aviserad om, såsom _anspråk_ eller _utbetalningar_.

Varje klass av intresse associeras med en lista av _förmånsgrupper_, eller _typer av övrig information_ i fallet av _övrig information_. Exempel på förmånsgrupper är _föräldrapenning_ och _sjukpenning_, medan exempel på typer av övrig information är _generella personuppgifter_ och _levnadsintyg_.

Det kommer inte finnas möjlighet att prenumerara på alla klass- och typkombinationer det går att hämta information om via [LEFI][LEFI]. Det kommer också att göras begränsningar baserat på det _regelverk för utlämnande_ som beslutats av Försäkringskassan för respektive aktör.

### 1.2 Avisering

Gränssnittet låter en ansluten organisation __hämta__ _aviseringar_ associerade med skapade och aktiva prenumerationer. Notera att LEKA alltså _inte_ skickar ut aviseringarna till prenumeranternas servrar, utan samlar dem i virtuella brelådor respektive aktörs datasystem måste tömma regelbundet på egen hand.

Kunder hos Försäkringskassan kan av olika anledningar avregistreras eller få sina personnummer utbytta. Om detta påträffar samtidigt som det finns en prenumeration på den kunden meddelas prenumeranten igenom en speciell avisering, varefter prenumerationen avaktiveras permanent.

Varje enskild avisering som registreras finns kvar i LEFI Online under en begränsad tid. Aviseringar tas _inte_ automatiskt bort i samband med att de hämtas. Detta för att underlätta för aktörer att hämta aviseringar igen som annars skulle ha förlorats på grund av krascher eller omstarter. Realiseringen av denna möjlighet innebär dock att varje aktör måste indikera vilka aviseringar som redan hämtats vid varje anrop.
